cascading.operation.aggregator

## Class Average.Context

- java.lang.Object
- - cascading.operation.aggregator.Average.Context

Enclosing class:
  Average

    protected static class Average.Context
    extends java.lang.Object

Class Context is used to hold intermediate values.

### Constructor Summary

Constructors
Constructor and Description
`Average.Context(CoercibleType canonical)`

### Method Summary

Methods
`Average.Context` `reset()`
`Tuple` `result()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Average.Context

    public Average.Context(CoercibleType canonical)

### Method Detail

#### reset

    public Average.Context reset()

#### result

    public Tuple result()